Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConfigurableCacheFactory Class Reference

`#include <coherence/net/ConfigurableCacheFactory.hpp>`

Inherits XmlConfigurable.

Inherited by DefaultConfigurableCacheFactory `[virtual]`.

List of all members.

## Detailed Description

An interface for XML driven cache factory.

See also:
  DefaultConfigurableCacheFactory

## Public Types
typedef spec::Handle | Handle
| ConfigurableCacheFactory Handle definition.
typedef spec::View | View
| ConfigurableCacheFactory View definition.
typedef spec::Holder | Holder
| ConfigurableCacheFactory Holder definition.
## Public Member Functions
virtual NamedCache::Handle | ensureCache (String::View vsCacheName)=0
| Ensure a cache for the given name using the corresponding XML configuration.
virtual void | destroyCache (NamedCache::Handle hCache)=0
| Releases and destroys the specified NamedCache.
virtual void | releaseCache (NamedCache::Handle hCache)=0
| Release local resources associated with the specified instance of the cache.
virtual Service::Handle | ensureService (String::View vsServiceName)=0
| Ensure a service for the given name using the corresponding XML configuration.
virtual int32_t | getEdition () const =0
| Get the product edition.
virtual void | setEdition (int32_t nEdition)=0
| Set the product edition.
virtual Member::View | getLocalMember () const =0
| Get the local member.
virtual void | setLocalMember (Member::View vMemberLocal)=0
| Set the local member.
virtual Map::View | getFilterConfigMap () const =0
| Get the filter config map.
virtual void | setFilterConfigMap (Map::View vMapFilterConfig)=0
| Set the filter config map.
virtual void | shutdown ()=0
| Shutdown all services related to this ConfigurableCacheFactory.
virtual IdentityAsserter::Handle | getIdentityAsserter () const =0
| Get the IdentityAsserter.
virtual void | setIdentityAsserter (IdentityAsserter::Handle hAsserter)=0
| Set the IdentityAsserter.
virtual IdentityTransformer::Handle | getIdentityTransformer () const =0
| Get the IdentityTranformer.
virtual void | setIdentityTransformer (IdentityTransformer::Handle hTransformer)=0
| Set the IdentityTranformer.

## Member Function Documentation

virtual NamedCache::Handle ensureCache | ( | String::View | vsCacheName | ) | `[pure virtual]`

Ensure a cache for the given name using the corresponding XML configuration.

Parameters:

  | vsCacheName | the cache name

Returns:
  a handle to a NamedCache created according to the configuration XML

Implemented in DefaultConfigurableCacheFactory.

virtual void destroyCache | ( | NamedCache::Handle | hCache | ) | `[pure virtual]`

Releases and destroys the specified NamedCache.

Warning: This method is used to completely destroy the specified cache across the cluster. All references in the entire cluster to this cache will be invalidated, the cached data will be cleared, and all resources will be released.

Parameters:

  | hCache | the NamedCache object to be destroyed

See also:
  releaseCache

Implemented in DefaultConfigurableCacheFactory.

virtual void releaseCache | ( | NamedCache::Handle | hCache | ) | `[pure virtual]`

Release local resources associated with the specified instance of the cache.

Releasing a NamedCache reference makes it no longer usable, but does not affect the content of the cache. In other words, all other references to the cache will still be valid, and the cache data is not affected by releasing the reference.

The reference that is released using this method can no longer be used; any attempt to use the reference will result in an exception.

Parameters:

  | hCache | the NamedCache object to be released

See also:
  destroyCache

Implemented in DefaultConfigurableCacheFactory.

virtual Service::Handle ensureService | ( | String::View | vsServiceName | ) | `[pure virtual]`

Ensure a service for the given name using the corresponding XML configuration.

Parameters:

  | vsServiceName | the service name

Returns:
  a handle to a service created according to the configuration XML

Implemented in DefaultConfigurableCacheFactory.

virtual int32_t getEdition | ( |  | ) | const `[pure virtual]`

Get the product edition.

Returns:
  the product edition

Implemented in DefaultConfigurableCacheFactory.

virtual void setEdition | ( | int32_t | nEdition | ) | `[pure virtual]`

Set the product edition.

Parameters:

  | nEdition | the product edition

Implemented in DefaultConfigurableCacheFactory.

virtual Member::View getLocalMember | ( |  | ) | const `[pure virtual]`

Get the local member.

Returns:
  the local member

Implemented in DefaultConfigurableCacheFactory.

virtual void setLocalMember | ( | Member::View | vMemberLocal | ) | `[pure virtual]`

Set the local member.

Parameters:

  | vMemberLocal | the local member

Implemented in DefaultConfigurableCacheFactory.

virtual Map::View getFilterConfigMap | ( |  | ) | const `[pure virtual]`

Get the filter config map.

Returns:
  the filter config map

Implemented in DefaultConfigurableCacheFactory.

virtual void setFilterConfigMap | ( | Map::View | vMapFilterConfig | ) | `[pure virtual]`

Set the filter config map.

Parameters:

  | vMapFilterConfig | the filter config map

Implemented in DefaultConfigurableCacheFactory.

virtual void setIdentityAsserter | ( | IdentityAsserter::Handle | hAsserter | ) | `[pure virtual]`

Set the IdentityAsserter.

Parameters:

  | hAsserter | the IdentityAsserter

Implemented in DefaultConfigurableCacheFactory.

virtual void setIdentityTransformer | ( | IdentityTransformer::Handle | hTransformer | ) | `[pure virtual]`

Set the IdentityTranformer.

Parameters:

  | hTransformer | the IdentityTranformer

Implemented in DefaultConfigurableCacheFactory.

The documentation for this class was generated from the following file:

- coherence/net/ConfigurableCacheFactory.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.